Subject: Re: linux-next: build failure after merge of the tip tree

From: Thomas Gleixner <[email-masked]>
Date: Tue, 25 Jun 2024 20:19:08 +0200

On Tue, Jun 25 2024 at 15:42, Mark Brown wrote:

> Hi all,
>
> After merging the tip tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> /tmp/next/build/drivers/irqchip/irq-dw-apb-ictl.c:33:25: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'dw_apb_ictl_handle_irq'
>    33 | static void __irq_entry dw_apb_ictl_handle_irq(struct pt_regs *regs)
>       |                         ^~~~~~~~~~~~~~~~~~~~~~
> In file included from /tmp/next/build/drivers/irqchip/irq-dw-apb-ictl.c:15:
> /tmp/next/build/drivers/irqchip/irq-dw-apb-ictl.c: In function 'dw_apb_ictl_init':
> /tmp/next/build/drivers/irqchip/irq-dw-apb-ictl.c:206:32: error: 'dw_apb_ictl_handle_irq' undeclared (first use in this function); did you mean 'dw_apb_ictl_init'?
>   206 |                 set_handle_irq(dw_apb_ictl_handle_irq);
>       |                                ^~~~~~~~~~~~~~~~~~~~~~
> /tmp/next/build/include/linux/irq.h:1331:23: note: in definition of macro 'set_handle_irq'
>  1331 |                 (void)handle_irq;               \
>       |                       ^~~~~~~~~~
> /tmp/next/build/drivers/irqchip/irq-dw-apb-ictl.c:206:32: note: each undeclared identifier is reported only once for each function it appears in
>   206 |                 set_handle_irq(dw_apb_ictl_handle_irq);
>       |                                ^~~~~~~~~~~~~~~~~~~~~~
> /tmp/next/build/include/linux/irq.h:1331:23: note: in definition of macro 'set_handle_irq'
>  1331 |                 (void)handle_irq;               \
>       |                       ^~~~~~~~~~
>
>
> Caused by commit
>
>   7cc4f309c933ec5d ("irqchip/dw-apb-ictl: Support building as module")
>
> (I think, I didn't specifically verify.)  I have used the tree from
> 20240624 instead.

It comes from irq/core. It'll be gone tomorrow.